//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "SelfImage_ProgressDialog.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "JvBevel"
#pragma link "JvComponent"
#pragma link "JvExControls"
#pragma link "JvExExtCtrls"
#pragma link "JvSpecialProgress"
#pragma resource "*.dfm"
TProgressDialog *ProgressDialog;
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
// Constructor
//
__fastcall TProgressDialog::TProgressDialog(TComponent* Owner): TForm(Owner)
{
  ProgressBar->Position = 0;
  ProgressBar->Maximum = 0;
  lblCaption->Caption = "";
}
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
void __fastcall TProgressDialog::Display(AnsiString Caption, int InitialPosition, int Max)
{
  Position = InitialPosition;
  lblCaption->Caption = Caption;
  ProgressBar->Maximum = Max;
  ProgressBar->Position = InitialPosition;
  Show();
  Update();
}  // void __fastcall Display(int Position, int Max)
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
void __fastcall TProgressDialog::StepBy(int Step)
{
  ProgressBar->Position += Step;
  Update();
}  // void __fastcall TProgressDialog::StepBy(int Step)
//---------------------------------------------------------------------------
